/**
* Typography
*/

// Reboot based on :
// - normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css
// - sanitize.css v12.0.1 | CC0 1.0 Universal | github.com/csstools/sanitize.css
// ––––––––––––––––––––

// Add the correct font weight in Chrome, Edge, and Safari
b,
strong {
    font-weight: bolder;
}

// Prevent `sub` and `sup` elements from affecting the line height in all browsers
sub,
sup {
    position: relative;
    font-size: 0.75em;
    line-height: 0;
    vertical-align: baseline;
}
sub {
    bottom: -0.25em;
}
sup {
    top: -0.5em;
}

// Remove the margin on nested lists in Chrome, Edge, IE, and Safari
dl dl,
dl ol,
dl ul,
ol dl,
ul dl {
    margin: 0;
}

// Remove the margin on nested lists in Edge 18- and IE
ol ol,
ol ul,
ul ol,
ul ul {
    margin: 0;
}

// Pico
// ––––––––––––––––––––

address,
blockquote,
dl,
figure,
ol,
p,
pre,
table,
ul {
    margin: 0;
    color: var(--color);
    font-size: 1rem;
    font-weight: normal;
    font-style: normal;
}

// Links
a, button.link-button {
    outline: none;
    color: var(--primary);
    text-decoration: none;
    cursor: pointer;
    
    transition: background-color $transition, color $transition, text-decoration $transition, box-shadow $transition;
    
    &:not[role=button]:hover,
    &:not[role=button]:active,
    &:not[role=button]:focus {
        color: var(--primary);
    }
    
    // Secondary
    &.secondary {
        color: var(--secondary);
        
        &:hover,
        &:active,
        &:focus {
            color: var(--secondary);
        }
    }
    
    // Contrast
    &.contrast {
        color: var(--contrast);
        
        &:hover,
        &:active,
        &:focus {
            color: var(--contrast);
        }
    }
}


// Headers

h1,h2,h3,h4 {
    font-weight: bold;
    clear: both;
    > .tag {
        float: right;
        margin: 0 0 8px 8px;
    }
}

summary > h1, summary > h2, summary > h3, summary > h4 {
    clear: none;
}

h1:not(:first-child), .mar4:not(:first-child) {
    margin-top: var(--mar4);
}

h2:not(:first-child), .mar3:not(:first-child) {
    margin-top: var(--mar3);
}

h3:not(:first-child), .mar2:not(:first-child) {
    margin-top: var(--mar2);
}

h4:not(:first-child), .mar1:not(:first-child) {
    margin-top: var(--mar1);
}

h1 {
    color: var(--h1-color);
    font-size: 1.6rem;
    border-bottom: 2px solid $green;
    margin: 0;
}
h1 + * {
    margin-top: var(--mar2) !important;
}

h2 {
    color: var(--h2-color);
    font-size: 1.35rem;
    margin: 0;
}
h2 + :not(h1) {
    margin-top:  var(--mar1) !important;
}

h3 {
    color: var(--h3-color);
    font-weight: bold;
    font-size: 1.1rem;
    margin: 0;
}

h4 {
    color: var(--h4-color);
    font-size: 1.1rem;
    margin: 0;
    margin-bottom: 0 !important;
}

h1+h2, h2+h3, h3+h4 {
    margin-top: 0;
}



// Small
small {
    font-size: 0.85rem;
}

// Lists
ul,
ol {
    padding-left: 1.5em;
}

li:not(:first-child) {
    margin-top: var(--pad1);
}

ul ul li:not(:first-child), ol ul li:not(:first-child), ol ol li:not(:first-child), ul ol li:not(:first-child) {
    margin-top: 0;
}

ul:not(.ct-legend) > li {
    list-style: none;
    position: relative;
    &:before {
        content: '➤';
        position: absolute;
        left: -1.5em;
        top: 0;
    }
}


// Highlighted text
mark {
    padding: 0.125rem 0.25rem;
    background-color: var(--mark-background-color);
    color: var(--mark-color);
    vertical-align: middle;
}

// Blockquote
blockquote {
    display: block;
    padding: var(--pad3);
    border-right: none;
    border-left: 0.25rem solid var(--blockquote-border-color);
    border-inline-end: none;
    border-inline-start: 0.25rem solid var(--blockquote-border-color);
    
    footer {
        color: var(--blockquote-footer-color);
    }
}

// Abbreviations
// 1. Remove underline decoration in Chrome, Edge, IE, Opera, and Safari
abbr[title] {
    border-bottom: 1px dotted;
    text-decoration: none; // 1
    cursor: help;
}

// Ins
ins {
    color: var(--ins-color);
    text-decoration: none;
}

// del
del {
    color: var(--del-color);
}

// selection
::selection {
    background-color: var(--primary) !important;
    color: var(--primary-inverse) !important;
}
